The officially official Devuan Forum!

You are not logged in.

#1 2022-09-09 09:24:15

amaro
Member
Registered: 2022-02-08
Posts: 61  

luakit broken after update

Hello everybody!

trying to start luakit and get this output

$ luakit
[    0.117600] I [core/luah]: Loading rc: /home/vb/.config/luakit/rc.lua
**
ERROR:common/util.c:67:strip_ansi_escapes: assertion failed (err == NULL): Error while compiling regular expression ‘[\u001b\u009b][[()#;?]*(?:[0-9]{1,4}(?:;[0-9]{0,4})*)?[0-9A-ORZcf-nqry=><]’ at char 3: unrecognized character following \ (g-regex-error-quark, 103)
Bail out! ERROR:common/util.c:67:strip_ansi_escapes: assertion failed (err == NULL): Error while compiling regular expression ‘[\u001b\u009b][[()#;?]*(?:[0-9]{1,4}(?:;[0-9]{0,4})*)?[0-9A-ORZcf-nqry=><]’ at char 3: unrecognized character following \ (g-regex-error-quark, 103)
Aborted
# apt-get install luakit
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
luakit is already the newest version (1:2.3-1+b1).
0 upgraded, 0 newly installed, 0 to remove and 1164 not upgraded.

how to proceed?
thank you in advance!

Offline

#2 2022-09-21 09:21:37

Plentyn
Member
Registered: 2017-07-14
Posts: 17  

Re: luakit broken after update

https://bugs.devuan.org/cgi/bugreport.cgi?bug=708

I should have read the answer carefully to have seen that I should send the report to debian myself. An automatism there might be helpful.

Last edited by Plentyn (2022-09-21 09:35:39)

Offline

Board footer